%{!?__pear: %{expand: %%global __pear %{_bindir}/pear}}
%global pear_name MDB2_Driver_mysql
%global prever    b3

Name:           php-pear-MDB2-Driver-mysql
Version:        1.5.0
%if 0%{?prever:1}
Release:        0.1.%{prever}%{?dist}
%else
Release:        1%{?dist}
%endif
Summary:        MySQL MDB2 driver

Group:          Development/Libraries
License:        BSD
URL:            http://pear.php.net/package/MDB2_Driver_mysql
Source0:        http://pear.php.net/get/%{pear_name}-%{version}%{?prever}.tgz

BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  php-pear(PEAR) >= 1.9.0

Requires:       php-pear(PEAR)
Requires:       php-pear(MDB2) >= 2.5.0
Requires:       php-mysql >= 5.3.0
Requires(post): %{__pear}
Requires(postun): %{__pear}
Provides:       php-pear(%{pear_name}) = %{version}%{?prever}

%description
This is the MySQL MDB2 driver.


%prep
%setup -qc
# Create a "localized" php.ini to avoid build warning
cp /etc/php.ini .
echo "date.timezone=UTC" >>php.ini

cd %{pear_name}-%{version}%{?prever}
# package.xml is V2 - Hack to lower PEAR requirement
sed -e '/<min>/s/1.9.1/1.9.0/' <../package.xml >%{name}.xml


%build
cd %{pear_name}-%{version}%{?prever}
# Empty build section, most likely nothing required.


%install
rm -rf $RPM_BUILD_ROOT docdir
cd %{pear_name}-%{version}%{?prever}
PHPRC=../php.ini %{__pear} install --nodeps --packagingroot $RPM_BUILD_ROOT %{name}.xml

# Clean up unnecessary files
rm -rf $RPM_BUILD_ROOT%{pear_phpdir}/.??*

# Install XML package description
install -d $RPM_BUILD_ROOT%{pear_xmldir}
install -pm 644 %{name}.xml $RPM_BUILD_ROOT%{pear_xmldir}


%clean
rm -rf $RPM_BUILD_ROOT


%post
%{__pear} install --nodeps --soft --force --register-only \
    %{pear_xmldir}/%{name}.xml >/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    %{__pear} uninstall --nodeps --ignore-errors --register-only \
        %{pear_name} >/dev/null || :
fi


%files
%defattr(-,root,root,-)
%{pear_xmldir}/%{name}.xml
%{pear_datadir}/%{pear_name}
%{pear_testdir}/%{pear_name}
%{pear_phpdir}/MDB2/Driver/*/mysql.php
%{pear_phpdir}/MDB2/Driver/mysql.php


%changelog
* Sun Apr 17 2011 Remi Collet <Fedora@FamilleCollet.com> - 1.5.0-0.1.b3.el6
- hack to lower PEAR requirement

* Sun Jan 02 2010 Remi Collet <Fedora@FamilleCollet.com> - 1.5.0-0.1.b3
- update to 1.5.0b3
- move MDB2_Driver_mysql.xml to php-pear-MDB2-Driver-mysql.xml

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Nov 13 2007 Christopher Stone <chris.stone@gmail.com> 1.4.1-3
- Add security patch (bz #379081)

* Sat Sep 22 2007 Christopher Stone <chris.stone@gmail.com> 1.4.1-2
- Update Requires

* Sat May 05 2007 Christopher Stone <chris.stone@gmail.com> 1.4.1-1
- Upstream sync

* Tue Mar 13 2007 Christopher Stone <chris.stone@gmail.com> 1.4.0-1
- Upstream sync

* Sun Dec 03 2006 Christopher Stone <chris.stone@gmail.com> 1.3.0-1
- Initial Release
